Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.functors
Class InstanceofPredicate

    java.lang.Object
      org.apache.commons.collections.functors.InstanceofPredicate

All Implemented Interfaces:
  java.io.Serializable, Predicate

    public final class InstanceofPredicate

extends java.lang.Object
implements Predicate, java.io.Serializable

Predicate implementation that returns true if the input is an instanceof the type stored in this predicate.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`InstanceofPredicate(java.lang.Class type)` Constructor that performs no validation.

Method Summary
`boolean` | `evaluate(java.lang.Object object)` Evaluates the predicate returning true if the input object is of the correct type.
`static Predicate` | `getInstance(java.lang.Class type)` Factory to create the identity predicate.
`java.lang.Class` | `getType()` Gets the type to compare to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceofPredicate

    public InstanceofPredicate(java.lang.Class type)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `type` - the type to check for

Method Detail

### getInstance

    public static Predicate getInstance(java.lang.Class type)

  Factory to create the identity predicate.

  Parameters:
    `type` - the type to check for, may not be null
  Returns:
    the predicate
  Throws:
    `java.lang.IllegalArgumentException` - if the class is null

### evaluate

    public boolean evaluate(java.lang.Object object)

  Evaluates the predicate returning true if the input object is of the correct type.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    true if input is of stored type

### getType

    public java.lang.Class getType()

  Gets the type to compare to.

  Returns:
    the type
  Since:
    Commons Collections 3.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.